{
    "name" : "智能通风",
    "appid" : "__UNI__2000523",
    "description" : "",
    "versionName" : "2.2.22",
    "versionCode" : 1,
    "transformPx" : false,
    "app-plus" : {
        "compatible" : {
            "ignoreVersion" : true,
            "runtimeVersion" : "4.23,4.29",
            "compilerVersion" : "4.29"
        },
        "orientation" : [
            //竖屏正方向
            "portrait-primary",
            //竖屏反方向
            "portrait-secondary",
            //横屏正方向
            "landscape-primary",
            //横屏反方向
            "landscape-secondary",
            //自然方向
            "default"
        ],
        /* 5+App特有相关 */
        "modules" : {
            "VideoPlayer" : {},
            "Camera" : {},
            "Push" : {}
        },
        /* 模块配置 */
        "distribute" : {
            /* 应用发布信息 */
            "android" : {
                /* android打包配置 */
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.NFC\"/>",
                    "<uses-sdk android:minSdkVersion=\"10\"/>",
                    "<uses-feature android:name=\"android.hardware.nfc\" android:required=\"true\" />",
                    "<uses-permission android:name=\"android.permission.READ_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_MEDIA_IMAGES\" />",
                    "<uses-permission android:name=\"android.permission.READ_MEDIA_AUDIO\" />",
                    "<uses-permission android:name=\"android.permission.READ_MEDIA_VIDEO\" />"
                ]
            },
            "ios" : {
                "dSYMs" : false
            },
            /* ios打包配置 */
            "sdkConfigs" : {
                "ad" : {},
                "maps" : {
                    "amap" : {
                        "name" : "",
                        "appkey_ios" : "87f4d2a4a0c42e0c86cf312c8b8154e8",
                        "appkey_android" : "87f4d2a4a0c42e0c86cf312c8b8154e8"
                    }
                },
                "push" : {
                    "unipush" : {
                        "version" : "2",
                        "offline" : true,
                        "hms" : {}
                    }
                }
            },
            "splashscreen" : {
                "iosStyle" : "default"
            },
            "icons" : {
                "android" : {
                    "hdpi" : "static/desk-img/72 – 1.png",
                    "xhdpi" : "static/desk-img/96.png",
                    "xxhdpi" : "static/desk-img/144.png",
                    "xxxhdpi" : "static/desk-img/192.png"
                }
            }
        },
        "nativePlugins" : {}
    },
    /* SDK配置 */
    "quickapp" : {},
    /* 快应用特有相关 */
    "mp-weixin" : {
        "appid" : "wx2ba5c5690b35d173",
        "setting" : {
            "urlCheck" : false,
            "es6" : true
        },
        "permission" : {
            "scope.userLocation" : {
                "desc" : "有定位功能需要导航定位"
            }
        }
    },
    "h5" : {
        "title" : "智能通风",
        "domain" : "myhjdc.cn",
        "router" : {
            "mode" : "history"
        },
        "unipush" : {
            "enable" : true
        },
        "optimization" : {
            "treeShaking" : {
                "enable" : true
            }
        }
    },
    "android" : {
        "theme" : {
            "primaryColor" : "#000000",
            "window" : {
                "fullscreen" : true,
                "navigationBarColor" : "#000000"
            }
        },
        "notch" : true
    },
    "fallbackLocale" : "zh-Hans"
}
